import { PropsWithChildren } from 'react';

interface ActiveMenuOptions {
    activeClassName?: string;
    offset?: number;
    smooth?: boolean;
}
interface ActiveMenuValues {
    activeId?: string;
    registerContainer: (el: any) => void;
    registerSection: (id: string) => (el: any) => void;
    registerTrigger: (id: string) => (el: any) => void;
}

interface ActiveMenuProviderProps {
    menu: ActiveMenuValues;
}
declare const ActiveMenuProvider: ({ children, menu }: PropsWithChildren<ActiveMenuProviderProps>) => JSX.Element;

declare const useActiveMenu: (options?: ActiveMenuOptions) => ActiveMenuValues;

declare const useActiveMenuContext: () => ActiveMenuValues;

export { ActiveMenuOptions, ActiveMenuProvider, ActiveMenuProviderProps, ActiveMenuValues, useActiveMenu, useActiveMenuContext };
